package cn.com.ty.lift.business.emergency.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author wcz
 * @date 2019/12/6
 * @description
 */
@Data
public class RepairResult {

    private String areaName;

    private Long id;

    /**
     * 公司ID
     */
    private Long mtCompanyId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 是否关人
     */
    @TableField("is_trapped")
    private Integer isTrapped;

    /**
     * 是否紧急（0 否；1 是）
     */
    @TableField("is_critical")
    private Integer isCritical;

    /**
     * 召修故障描述
     */
    @TableField("caller_fault_description")
    private String callerFaultDescription;

    /**
     * 召修来源（1 物业；2 维保；3 物联）
     */
    @TableField("source")
    private Integer source;

    /**
     * 召修人ID
     */
    @TableField("caller_id")
    private Long callerId;

    /**
     * 召修人电话
     */
    @TableField("caller_tel")
    private String callerTel;

    /**
     * 召修时间
     */
    private LocalDateTime callerDate;

    /**
     * 停梯时间
     */
    private LocalDateTime stopDate;

    /**
     * 恢复时间
     */
    private LocalDateTime recoveryDate;

    /**
     * 更换配件
     */
    private String sparepart;

    /**
     * 工时费
     */
    private String charge;

    /**
     * 维修故障描述
     */
    private String workerFaultDescription;

    /**
     * 现场描述
     */
    private String fieldDescription;

    /**
     * 维修过程
     */
    private String repairProcedure;

    /**
     * 维修人ID
     */
    private Long workerId;

    /**
     * 维修人电话
     */
    private String workerTel;

    /**
     * 签到位置
     */
    private String position;

    /**
     * 状态（0 待完成；1 已签到，待修理；2 已修理；3 待评价；4 完成 5 暂停中）
     */
    private Integer status;

    /**
     * 创建人ID
     */
    private Long creatorId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 急修原因（0 其他；1 停电；2 故障；99 其他）
     */
    private Integer repairReason;

    /**
     * 配件费
     */
    private BigDecimal partsCost;

    /**
     * 安全项
     */
    private String safetyConfirm;

    /**
     * 接单时间
     */
    private LocalDateTime readTime;

    /**
     * 该急修单急修人
     */
    private Long workerId1;

    /**
     * 物联楼层
     */
    private Integer wlFloor;

    /**
     * 物联电梯门
     */
    private Integer wlLiftdoor;

    /**
     * 物联故障名称
     */
    @TableField("wl_fault")
    private String wlFault;

    /**
     * 物联故障原因
     */
    private String wlFaultReason;

    /**
     * 物联故障处理
     */
    @TableField("wl_fault_handle")
    private String wlFaultHandle;

    /**
     * 物联运行描述
     */
    private Integer wlRunDirection;

    /**
     * 急修费用预计支付时间
     */
    private LocalDateTime costPaymentDate;

    /**
     * 急修费用总和
     */
    private BigDecimal costTotal;

    /**
     * 项目id
     */
    private Integer projectId;

    private String projectName;

}
